E2Helper.Descriptions["smitholdGet"] = "Returns exterior shell of a smithold when used on an occupant, the exterior itself, or the interior."
E2Helper.Descriptions["smitholdDemat"] = "Initiates dematerialisation, takes vector pos and optional angle rot, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdPhase"] = "Toggles phase, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdFlightmode"] = "Toggles flightmode, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdLock"] = "Locks it, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdPhyslock"] = "Toggles physlock, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdPower"] = "Toggles power, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdIsomorph"] = "Toggles isomorphic security systems, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdLongflight"] = "Toggles long-flight, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdMaterialise"] = "Rematerialises, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdSelfrepair"] = "Toggles self-repair, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdTrack"] = "Sets tracking entity, takes entity ent, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdSpinmode"] = "Sets spinmode, takes number spinmode (-1=anti-clockwise|0=none|1=clockwise), returns spinmode as number."
E2Helper.Descriptions["smitholdSetDestination"] = "Sets destination if in vortex, takes vector pos and optional angle rot, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdFastReturn"] = "Returns smithold to its previous takeoff position, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdHADS"] = "Toggles HADS, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdFastDemat"] = "Quickly dematerialises smithold, returns 1 if success or 0 if failure."
E2Helper.Descriptions["smitholdMoving"] = "Returns 1 if teleporting or 0 if not teleporting."
E2Helper.Descriptions["smitholdVisible"] = "Returns 1 if visible or 0 if invisible."
E2Helper.Descriptions["smitholdFlying"] = "Returns 1 if flying or 0 if not flying."
E2Helper.Descriptions["smitholdLocked"] = "Returns 1 if locked or 0 if not locked."
E2Helper.Descriptions["smitholdPhyslocked"] = "Returns 1 if physlocked or 0 if not physlocked."
E2Helper.Descriptions["smitholdPowered"] = "Returns 1 if powered or 0 if not powered."
E2Helper.Descriptions["smitholdIsomorphic"] = "Returns 1 if isomorphic security systems are enabled or 0 if isomorphic security systems are disabled."
E2Helper.Descriptions["smitholdLongflighted"] = "Returns 1 if long-flight is enabled or 0 if long-flight is disabled."
E2Helper.Descriptions["smitholdSelfrepairing"] = "Returns 1 if self-repairing or 0 if not self-repairing."
E2Helper.Descriptions["smitholdHealth"] = "Returns smithold health."
E2Helper.Descriptions["smitholdLastPos"] = "Returns the vector of where the smithold last dematerialised from."
E2Helper.Descriptions["smitholdLastAng"] = "Returns the angle of where the smithold last dematerialised from."
E2Helper.Descriptions["smitholdTracking"] = "Returns the entity the smithold is tracking."
E2Helper.Descriptions["smitholdInVortex"] = "Returns 1 if in vortex, or 0 if not."
E2Helper.Descriptions["smitholdIsHADS"] = "Returns 1 if HADS is enabled, or 0 if not."
E2Helper.Descriptions["smitholdPilot"] = "Returns the pilot if valid."